xdiff_file_bdiff_size
xdiff_file_bpatch
xdiff Functions
PHP Manual

# xdiff_file_bdiff

(No version information available, might be only in CVS)

xdiff_file_bdiff — Make binary diff of two files

### Description

bool xdiff_file_bdiff ( string `$old_file` , string `$new_file` , string `$dest` )

Makes a binary diff of two files and stores the result in a patch file. This function works with both text and binary files. Resulting patch file can be later applied using xdiff_file_bpatch()/xdiff_string_bpatch().

### Parameters

`old_file`

  Path to the first file. This file acts as "old" file.

`new_file`

  Path to the second file. This file acts as "new" file.

`dest`

  Path of the resulting patch file. Resulting file containts differences between "old" and "new" files. It is in binary format and is human-unreadable.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 xdiff_file_bdiff() example

The following code makes binary diff of two archives.

`<?php
$old_version = 'my_script_1.0.tgz';
$new_version = 'my_script_1.1.tgz';
xdiff_file_bdiff($old_version, $new_version, 'my_script.bdiff');
?>`

### Notes

> Note: Both files will be loaded into memory so ensure that your memory_limit is set high enough.

### See Also

- xdiff_file_bpatch()

xdiff_file_bdiff_size
xdiff_file_bpatch
xdiff Functions
PHP Manual